Google Web Toolkit
Search Google Code:

# Interface ProcessingInstruction

public interface ProcessingInstruction
extends Node
This interface documents the ProcessingInstruction node type. For example,

    <?xml-stylesheet href="mystyle.css" type="text/css"?>

## Methods

getData() | This method retrieves the data.
getTarget() | This method retrieves the target.
setData(String) | This method sets the data to `data`.

## Method Detail

### getData

public String getData()
This method retrieves the data.

#### Return Value

the data of this `ProcessingInstruction`

### getTarget

public String getTarget()
This method retrieves the target.

#### Return Value

the target of this `ProcessingInstruction`

### setData

public void setData(String data)
This method sets the data to `data`.

#### Parameters

data
  the new data